# mori-devtools

**EXPERIMENTAL**

Chrome DevTools custom formatter for mori’s persistent data structures

> This is a simplified implementation of [cljs-devtools](https://github.com/binaryage/cljs-devtools) for ClojureScript.

![mori-devtools usage example](example.png)

## Installation

```
npm i -S mori-devtools
```

## Usage

This will install the formatter into a browser
```javascript
require('mori-devtools').install();
```

## Requirements

### Enable Custom formatters in Chrome (Canary)

Custom formatters are available in Chrome Canary or bleeding edge build from [chromium-browser-snapshots](https://commondatastorage.googleapis.com/chromium-browser-snapshots/index.html).

#### First, enable Dev Tools Experiments:

  * Visit chrome://flags
  * Search the page for "devtools".
  * Click "Enable" under "Enable Developer Tools Experiments"
  * Click "Relaunch Now"

#### Then turn on custom formatters:

  * Open Dev Tools.
  * Click the gear in the upper right to go to Settings.
  * Click the "Experiments" tab.
  * Press the shift key six times to show the "hidden experiments".
  * Check "Custom Object Formatters".
  * Close Dev Tools.
  * Open Dev Tools.
  * Click the gear to open settings again.
  * Under "Console", check "Enable custom formatters".
