var Formatter = require('./src/formatter');

var installed = false;

function install() {

	if (typeof window === undefined) { throw new Error('Not a browser!'); }
	if (installed === true) { return false; }

	window.devtoolsFormatters = window.devtoolsFormatters || [];

	window.devtoolsFormatters.push((function() {

		installed = true;
	  return Formatter;
	})());
}

module.exports = { install: install };
