var JsonMLElement = function (tagName) {

		this._attributes = {};
		this._jsonML = [tagName, this._attributes];
};

JsonMLElement.prototype = {

		createChild: function (tagName) {

		    var el = new JsonMLElement(tagName);
		    this._jsonML.push(el.toJsonML());
		    return el;
		},

		addChild: function (child) {

		    this._jsonML.push(child);
		    return child;
		},

		createObjectTag: function (object) {

				var tag = this.createChild('object');
		    tag.addAttribute('object', object);
		    return tag;
		},

		setStyle: function (style) {

		    this._attributes.style = style;
		},

		addAttribute: function (key, value) {

		    this._attributes[key] = value;
		},

		createTextChild: function (text) {

		    this._jsonML.push(text + '');
		},

		toJsonML: function() {

		    return this._jsonML;
		}
};

module.exports = JsonMLElement;
